Subject: Re: [PATCH] Reorganise and then fixup the pseries cpu hotplug code

From: jschopp <[email-masked]>
Date: Sun, 19 Nov 2006 22:22:00 -0600

>>> +	/* Isolation and deallocation are definatly done by
>>                                         ^^^^^^^^^
>> typo

That word definitely gives me trouble.  I'd imagine the typo originated with me.

>>
>>> +	 * drslot_chrp_cpu.  If they were not they would be
>>> +	 * done here.  Change isolate state to Isolate and
>>> +	 * change allocation-state to Unusable.
>>> +	 */
>>> +	paca[cpu].cpu_start = 0;
>> I can't figure out what the comment means with respect 
>> to this code ... 
> 
> Me either. It's unchanged from the original merge of cpu hotplug:
> http://kernel.org/git/?p=linux/kernel/git/torvalds/old-2.6-bkcvs.git;a=commit;h=24c13f21f0a6abe07020a959990da2b134e6734f
> http://kernel.org/git/?p=linux/kernel/git/torvalds/old-2.6-bkcvs.git;a=blobdiff;h=72144b6122f9336e7fa242e50b65b099df0cd72b;hp=f671515c0676e61064ae414273fa4546d0c04938;hb=24c13f21f0a6abe07020a959990da2b134e6734f;f=arch/ppc64/kernel/smp.c
> 
> Which carries the name of one Joel Schopp :)
> 
> Grepping the tree at that point finds no other mention of
> drslot_chrp_cpu, so I think it's a stale comment - we should probably
> just rip it out - Joel?

It might be clearer by saying "the userspace program drslot_chrp_cpu" or "isolation and 
deallocation occur in userspace, so just stop the cpu.  If isolation and deallocation ever 
move from userpace to kernel space they would go here".  On pseries dynamic partitioning 
or cpu guard (the things that initiate a cpu hotplug) all call a userspace program drmgr, 
which calls drslot_chrp_cpu, which then talks to the firmware to isolate and unallocate 
(on remove, the opposite on add) after it has hotplug removed the cpu via the /sys 
interface.  This allows the cpu to be reassigned to another partition.

At least that's what I remember from back then when we did it.  Though I don't think it's 
changed any.  Feel free to make the comment more intelligible.